import type { LoaderProps } from '../Loader/Loader.styles';
import type { SvelteUIColor, SvelteUINumberSize, DefaultProps } from '../../styles';
export interface ActionIconProps extends DefaultProps {
    root: keyof HTMLElementTagNameMap;
    color: SvelteUIColor;
    variant: ActionIconVariant;
    size: SvelteUINumberSize;
    radius: SvelteUINumberSize | number;
    loaderProps: LoaderProps;
    loading: boolean;
    disabled: boolean;
    href: string;
    external: boolean;
}
export interface CloseButtonProps extends ActionIconProps {
    iconSize: SvelteUINumberSize;
}
export declare type ActionIconVariant = 'hover' | 'filled' | 'outline' | 'light' | 'default' | 'transparent';
export interface ActionIconStylesParams {
    color: SvelteUIColor;
    size: SvelteUINumberSize;
    radius: SvelteUINumberSize;
}
export declare const sizes: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare function getVariantStyles(color: SvelteUIColor, variant: ActionIconVariant): import("../../styles").VariantThemeFunction;
