import { SvelteComponentTyped } from "svelte";
import type { CloseButtonProps as $$CloseButtonProps } from '../ActionIcon.styles';
declare const __propDef: {
    props: {
        iconSize?: $$CloseButtonProps['iconSize'];
        class?: string;
        /** Override prop for custom theming the component */ override?: $$CloseButtonProps['override'];
        /** The component or HTML tag to be used as the root component for the text */ root?: $$CloseButtonProps['root'];
        /** Button color from theme'yellow' | 'orange';} */ color?: $$CloseButtonProps['color'];
        /** Controls button appearance */ variant?: $$CloseButtonProps['variant'];
        /** Predefined button size */ size?: $$CloseButtonProps['size'];
        /** Button border-radius from theme or number to set border-radius in px */ radius?: $$CloseButtonProps['radius'];
        /** Props passed to Loader component */ loaderProps?: $$CloseButtonProps['loaderProps'];
        /** loading will set button to loading state */ loading?: $$CloseButtonProps['loading'];
        /** disabled will set button to disabled state */ disabled?: $$CloseButtonProps['disabled'];
        /** Applies an href to the button component and converts it to an anchor tag */ href?: $$CloseButtonProps['href'];
        /** If external is set to true, target = _blank */ external?: $$CloseButtonProps['external'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type CloseButtonProps = typeof __propDef.props;
export declare type CloseButtonEvents = typeof __propDef.events;
export declare type CloseButtonSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * CloseButton is a premade ActionIcon with close icon
 *
 * @see https://svelteui-docs.vercel.app/docs/core/action-icon
 * @example
 * ```tsx
 * <CloseButton /> // standard CloseButton
 * ```
 */
export default class CloseButton extends SvelteComponentTyped<CloseButtonProps, CloseButtonEvents, CloseButtonSlots> {
}
export {};
