import type { DefaultProps, SvelteUIColor, SvelteUIGradient, SvelteUINumberSize, SvelteUISize, VariantThemeFunction } from '../../styles';
export interface BadgeProps extends DefaultProps {
    color?: SvelteUIColor;
    variant?: BadgeVariant;
    gradient?: SvelteUIGradient;
    size?: SvelteUISize;
    radius?: SvelteUINumberSize;
    fullWidth?: boolean;
}
export declare type BadgeVariant = 'light' | 'filled' | 'outline' | 'dot' | 'gradient';
export declare const sizes: {
    readonly xs: {
        readonly fontSize: 9;
        readonly height: 16;
    };
    readonly sm: {
        readonly fontSize: 10;
        readonly height: 18;
    };
    readonly md: {
        readonly fontSize: 11;
        readonly height: 20;
    };
    readonly lg: {
        readonly fontSize: 13;
        readonly height: 26;
    };
    readonly xl: {
        readonly fontSize: 16;
        readonly height: 32;
    };
};
export declare const dotSizes: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare function getVariantStyles(color: SvelteUIColor, variant: BadgeVariant, size: number | string, gradient: SvelteUIGradient): VariantThemeFunction;
