import type { SvelteUIColor, SvelteUISize, SvelteUINumberSize, SvelteUIGradient, DefaultProps } from '../../styles';
import type { LoaderPropsExtended } from '../Loader/Loader.styles';
export interface ButtonProps extends DefaultProps<HTMLButtonElement | HTMLAnchorElement> {
    variant: ButtonVariant;
    color: SvelteUIColor;
    size: SvelteUINumberSize;
    radius: SvelteUINumberSize | number;
    gradient: SvelteUIGradient;
    loaderPosition: 'left' | 'right';
    loaderProps: LoaderProps;
    className: string;
    href: string;
    external: boolean;
    disabled: boolean;
    compact: boolean;
    loading: boolean;
    uppercase: boolean;
    fullSize: boolean;
    ripple: boolean;
}
export declare type ButtonVariant = 'filled' | 'light' | 'outline' | 'default' | 'white' | 'gradient' | 'subtle';
export interface ButtonStylesProps {
    color: SvelteUIColor;
    size: SvelteUISize;
    radius: SvelteUINumberSize;
    fullWidth: boolean;
    compact: boolean;
    gradientFrom: string;
    gradientTo: string;
    gradientDeg: number;
}
export interface GetVariantStyles {
    color: SvelteUIColor;
    variant: ButtonVariant;
    gradient?: {
        from: SvelteUIColor;
        to: SvelteUIColor;
        deg: number;
    };
}
export interface LoaderProps {
    variant: LoaderPropsExtended['variant'];
    color: LoaderPropsExtended['color'];
    size: LoaderPropsExtended['size'];
}
export declare const sizes: {
    xs: {
        height: number;
        padding: string;
    };
    sm: {
        height: number;
        padding: string;
    };
    md: {
        height: number;
        padding: string;
    };
    lg: {
        height: number;
        padding: string;
    };
    xl: {
        height: number;
        padding: string;
    };
    'compact-xs': {
        height: number;
        padding: string;
    };
    'compact-sm': {
        height: number;
        padding: string;
    };
    'compact-md': {
        height: number;
        padding: string;
    };
    'compact-lg': {
        height: number;
        padding: string;
    };
    'compact-xl': {
        height: number;
        padding: string;
    };
};
