import { SvelteComponentTyped } from "svelte";
import type { CheckboxProps as $$CheckboxProps } from './Checkbox.styles';
declare const __propDef: {
    props: {
        /** Used for forwarding actions from component */ use?: $$CheckboxProps['use'];
        class?: string;
        /** Css prop for custom theming the component */ override?: $$CheckboxProps['override'];
        /** Checkbox color from theme */ color?: $$CheckboxProps['color'];
        /** The id used to bind input to label, if none is provided an unique ID will be generated */ id?: $$CheckboxProps['id'];
        /** Will set the checkbox to disabled state */ disabled?: $$CheckboxProps['disabled'];
        /** The value of the checkbox */ value?: $$CheckboxProps['value'];
        /** The value used to set the value of checkbox as checked or unchecked */ checked?: $$CheckboxProps['checked'];
        /** Sets the checkbox to indetermined state, overrides the checked state */ indeterminate?: $$CheckboxProps['indeterminate'];
        /** The label of the checkbox */ label?: $$CheckboxProps['label'];
        /** Predefined checkbox radius size */ radius?: $$CheckboxProps['radius'];
        /** Predefined checkbox size */ size?: $$CheckboxProps['size'];
        /** The transtion of the check/unchecked duration, set to 0 to disable transtion */ transitionDuration?: $$CheckboxProps['transitionDuration'];
        /** The props to pass to the wrapper component */ wrapperProps?: $$CheckboxProps['wrapperProps'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type CheckboxProps = typeof __propDef.props;
export declare type CheckboxEvents = typeof __propDef.events;
export declare type CheckboxSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * A checkbox input component using the theme styles with support for a label and indeterminate state.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/checkbox
 * @example
 *    ```svelte
 *    <Checkbox />
 *    <Checkbox size={'lg'} label={'Please accept this'} />
 *    <Checkbox undetermined />
 *    <Checkbox checked disabled />
 *    ```
 */
export default class Checkbox extends SvelteComponentTyped<CheckboxProps, CheckboxEvents, CheckboxSlots> {
}
export {};
