import { SvelteComponentTyped } from "svelte";
import type { GroupProps as $$GroupProps } from './Group.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: $$GroupProps['override'];
        /** Defines justify-content property */ position?: $$GroupProps['position'];
        /** Defined flex-wrap property */ noWrap?: $$GroupProps['noWrap'];
        /** Defines flex-grow property for each element, true -> 1, false -> 0 */ grow?: $$GroupProps['grow'];
        /** Space between elements */ spacing?: $$GroupProps['spacing'];
        /** Defines flex-direction property, row for horizontal, column for vertical */ direction?: $$GroupProps['direction'];
        /** Defines align-items css property */ align?: $$GroupProps['align'];
        /** The children being rendered */ children?: $$GroupProps['children'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type GroupProps = typeof __propDef.props;
export declare type GroupEvents = typeof __propDef.events;
export declare type GroupSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Compose elements and components in a vertical flex container.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/group
 * @example
 *    ```svelte
 *    <Group children={3} grow>
 * 	<Button variant="outline">1</Button>
 * 	<Button variant="outline">2</Button>
 * 	<Button variant="outline">3</Button>
 * </Group>
 *    ```
 */
export default class Group extends SvelteComponentTyped<GroupProps, GroupEvents, GroupSlots> {
}
export {};
