import type { DefaultProps, SvelteUINumberSize, SvelteUISize } from '../../styles';
import type { Component } from '../../internal';
export interface InputBaseProps extends DefaultProps {
    icon: Component | HTMLOrSVGElement;
    iconWidth: number;
    iconProps: {
        size: number;
        color: 'currentColor' | string;
    };
    rightSection: Component | HTMLOrSVGElement;
    rightSectionWidth: number;
    rightSectionProps: Record<string, unknown>;
    wrapperProps: Record<string, unknown>;
    required: boolean;
    radius: SvelteUINumberSize;
    variant: InputVariant;
    disabled: boolean;
    size: SvelteUISize;
    root: Component | keyof HTMLElementTagNameMap;
    value: string;
}
export interface InputProps extends InputBaseProps {
    invalid?: boolean;
    multiline?: boolean;
}
export declare type InputVariant = 'default' | 'filled' | 'unstyled' | 'headless';
export declare const sizes: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
