import { SvelteComponentTyped } from "svelte";
import type { InputWrapperProps as $$InputWrapperProps } from './InputWrapper.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Css prop for custom theming the component */ override?: $$InputWrapperProps['override'];
        /** Input label, displayed before input */ label?: $$InputWrapperProps['label'];
        /** Input description, displayed after label */ description?: $$InputWrapperProps['description'];
        /** Displays error message after input */ error?: $$InputWrapperProps['error'];
        /** Adds red asterisk on the right side of label */ required?: $$InputWrapperProps['required'];
        /** Props spread to label element */ labelProps?: $$InputWrapperProps['labelProps'];
        /** Props spread to description element */ descriptionProps?: $$InputWrapperProps['descriptionProps'];
        /** Props spread to error element */ errorProps?: $$InputWrapperProps['errorProps'];
        /** htmlFor label prop */ id?: $$InputWrapperProps['id'];
        /** Render label as label with htmlFor or as div */ labelElement?: $$InputWrapperProps['labelElement'];
        /** Controls all elements font-size */ size?: $$InputWrapperProps['size'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type InputWrapperProps = typeof __propDef.props;
export declare type InputWrapperEvents = typeof __propDef.events;
export declare type InputWrapperSlots = typeof __propDef.slots;
export default class InputWrapper extends SvelteComponentTyped<InputWrapperProps, InputWrapperEvents, InputWrapperSlots> {
}
export {};
