import { SvelteComponentTyped } from "svelte";
import type { SimpleGridProps as $$SimpleGridProps } from './SimpleGrid.styles';
declare const __propDef: {
    props: {
        /** Used for forwarding actions from component */ use?: $$SimpleGridProps['use'];
        class?: string;
        /** Css prop for custom theming the component */ override?: $$SimpleGridProps['override'];
        /** Breakpoints data to change items per row and spacing based on max-width */ breakpoints?: $$SimpleGridProps['breakpoints'];
        /** Default amount of columns, used when none of breakpoints can be applied  */ cols?: $$SimpleGridProps['cols'];
        /** Default spacing between columns, used when none of breakpoints can be applied */ spacing?: $$SimpleGridProps['spacing'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type SimpleGridProps = typeof __propDef.props;
export declare type SimpleGridEvents = typeof __propDef.events;
export declare type SimpleGridSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Responsive grid where each item takes equal amount of space
 *
 * @see https://svelteui-docs.vercel.app/docs/core/input
 * @example
 *    ```svelte
 *    <SimpleGrid cols={3}>
 *      <div>1</div>
 *      <div>2</div>
 *      <div>3</div>
 *      <div>4</div>
 *      <div>5</div>
 *    </SimpleGrid>
 *    ```
 */
export default class SimpleGrid extends SvelteComponentTyped<SimpleGridProps, SimpleGridEvents, SimpleGridSlots> {
}
export {};
