import { SvelteComponentTyped } from "svelte";
import type { SpaceProps as $$SpaceProps } from './Space.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: $$SpaceProps['override'];
        /** Width, set to add horizontal spacing */ w?: $$SpaceProps['w'];
        /** Height, set to add vertical spacing */ h?: $$SpaceProps['h'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type SpaceProps = typeof __propDef.props;
export declare type SpaceEvents = typeof __propDef.events;
export declare type SpaceSlots = typeof __propDef.slots;
/**
 * **UNSTABLE**: new API, yet to be vetted.
 *
 * Add horizontal or vertical spacing from theme.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/space
 * @example
 *    ```svelte
 *    <Group children={3} grow>
 * 	<Button variant="outline">1</Button>
 * 	<Button variant="outline">2</Button>
 * 	<Button variant="outline">3</Button>
 * </Group>
 *    ```
 */
export default class Space extends SvelteComponentTyped<SpaceProps, SpaceEvents, SpaceSlots> {
}
export {};
