import type { DefaultProps, Override, SvelteUIColor, SvelteUINumberSize } from '../../styles';
export interface SwitchProps extends DefaultProps {
    override: Override['props'];
    overrideLabel: Override['props'];
    color: SvelteUIColor;
    size: SvelteUINumberSize;
    radius: SvelteUINumberSize;
    transitionFunction: SwitchTimingFunction;
    className: string;
    id: string;
    label: string;
    onLabel: string;
    offLabel: string;
    disabled: boolean;
    checked: boolean;
}
export declare type SwitchTimingFunction = 'linear' | 'ease' | 'ease-in' | 'ease-out' | 'ease-in-out' | 'step-start' | 'step-end';
export declare const radius: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare const sizes: {
    xs: {
        height: number;
        width: number;
        handle: number;
        labelFont: number;
        insideLabelFont: number;
    };
    sm: {
        height: number;
        width: number;
        handle: number;
        labelFont: number;
        insideLabelFont: number;
    };
    md: {
        height: number;
        width: number;
        handle: number;
        labelFont: number;
        insideLabelFont: number;
    };
    lg: {
        height: number;
        width: number;
        handle: number;
        labelFont: number;
        insideLabelFont: number;
    };
    xl: {
        height: number;
        width: number;
        handle: number;
        labelFont: number;
        insideLabelFont: number;
    };
};
