import { SvelteComponentTyped } from "svelte";
import type { SwitchProps as $$SwitchProps } from './Switch.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: $$SwitchProps['override'];
        /** Override prop for custom theming the component */ overrideLabel?: $$SwitchProps['overrideLabel'];
        /** Switch color from theme */ color?: $$SwitchProps['color'];
        /** Predefined switch size */ size?: $$SwitchProps['size'];
        /** Predefined switch radius size */ radius?: $$SwitchProps['radius'];
        /** Predefined transition function for the switch animation */ transitionFunction?: $$SwitchProps['transitionFunction'];
        /** The id used to bind input to label, if none is provided an unique ID will be generated */ id?: $$SwitchProps['id'];
        /** The label to be added outside the switch, by default has none */ label?: $$SwitchProps['label'];
        /** The label to be added inside the switch, when the switch is checked, by default has none */ onLabel?: $$SwitchProps['onLabel'];
        /** The label to be added inside the switch, when the switch is unchecked, by default has none */ offLabel?: $$SwitchProps['offLabel'];
        /** Will set the switch to disabled state */ disabled?: $$SwitchProps['disabled'];
        /** The value used to set the value of switch as checked or unchecked */ checked?: $$SwitchProps['checked'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type SwitchProps = typeof __propDef.props;
export declare type SwitchEvents = typeof __propDef.events;
export declare type SwitchSlots = typeof __propDef.slots;
/**
 * A user can use this component to enable/disable something, normally used for boolean values or for binary actions.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/switch
 * @example
 * ```tsx
 * <Switch/> // standard switch
 * <Switch label="Lights" onLabel="ON" offLabel="OFF"/> // switch with labels
 * ```
 */
export default class Switch extends SvelteComponentTyped<SwitchProps, SwitchEvents, SwitchSlots> {
}
export {};
