import type { SvelteUIGradient, SvelteUIColor, Override, SvelteUITextAlignment, SvelteUITextTransform, SvelteUINumberSize, SvelteUINumberFontSize, DefaultProps } from '../../styles';
import type { Component } from '../../internal';
export interface TextProps extends DefaultProps {
    className: string;
    override: Override['props'];
    align: SvelteUITextAlignment;
    color: TextColors;
    root: HTMLTextElements | Component;
    transform: SvelteUITextTransform;
    variant: TextVariant;
    size: SvelteUINumberSize;
    weight: SvelteUINumberFontSize;
    gradient: SvelteUIGradient;
    inline: boolean;
    lineClamp: number;
    underline: boolean;
    inherit: boolean;
    href: string;
}
export declare type TextVariant = 'link' | 'text' | 'gradient';
export declare type TextColors = SvelteUIColor | 'dimmed';
export declare type HTMLTextElements = keyof HTMLElementTagNameMap;
export declare function getTextColor(color: TextColors, variant: TextVariant, gradient: SvelteUIGradient, dark?: boolean): string;
