import type { DefaultProps, SvelteUINumberSize, SvelteUIColor, SvelteUIGradient, VariantThemeFunction } from '../../styles';
export interface ThemeIconProps extends DefaultProps {
    size: SvelteUINumberSize;
    radius: SvelteUINumberSize;
    color: SvelteUIColor;
    variant: ThemeIconVariant;
    gradient: SvelteUIGradient;
}
export declare type ThemeIconVariant = 'filled' | 'light' | 'gradient' | 'outline' | 'subtle' | 'default' | 'white';
export declare const sizes: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export declare function getVariantStyles(color: SvelteUIColor, variant: ThemeIconVariant, gradient: SvelteUIGradient): VariantThemeFunction;
