import { SvelteComponentTyped } from "svelte";
import type { ThemeIconProps as $$ThemeIconProps } from './ThemeIcon.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: $$ThemeIconProps['override'];
        /** Predefined width and height or number for width and height in px */ size?: $$ThemeIconProps['size'];
        /** Predefined border-radius from theme.radius or number for border-radius in px */ radius?: $$ThemeIconProps['radius'];
        /** Icon color from theme */ color?: $$ThemeIconProps['color'];
        /** Controls appearance */ variant?: $$ThemeIconProps['variant'];
        /** Controls gradient settings in gradient variant only */ gradient?: $$ThemeIconProps['gradient'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type ThemeIconProps = typeof __propDef.props;
export declare type ThemeIconEvents = typeof __propDef.events;
export declare type ThemeIconSlots = typeof __propDef.slots;
/**
 * **UNSTABLE:** new API, yet to be vetted.
 *
 * Render icon inside element with theme colors
 *
 * @see https://svelteui-docs.vercel.app/docs/core/theme-icon
 * @example
 *    ```svelte
 *    <ThemeIcon>
 *      <Icon />
 *    </ThemeIcon>
 *
 * <ThemeIcon size="lg" variant="gradient" gradient={{ from: 'indigo', to: 'cyan' }}>
 *        <Icon size={20} />
 *    </ThemeIcon>
 *    ```
 */
export default class ThemeIcon extends SvelteComponentTyped<ThemeIconProps, ThemeIconEvents, ThemeIconSlots> {
}
export {};
