import { SvelteComponentTyped } from "svelte";
import type { TitleProps as $$TitleProps } from './Title.styles';
declare const __propDef: {
    props: {
        class?: string;
        /** Override prop for custom theming the component */ override?: $$TitleProps['override'];
        /** The alignment to be applied to the text */ align?: $$TitleProps['align'];
        /** Defines the style and compoennt to be used */ order?: $$TitleProps['order'];
        /** Code color for the text from the default theme */ color?: $$TitleProps['color'];
        /** Sets the text-transform CSS property of the text*/ transform?: $$TitleProps['transform'];
        /** The variant of the text that dictates how the text behaves and/or looks like */ variant?: $$TitleProps['variant'];
        /** The size of the text from the default theme */ weight?: $$TitleProps['weight'];
        /** Controls gradient settings in gradient variant only */ gradient?: $$TitleProps['gradient'];
        /** If enabled sets the line-height to 1 to center the text */ inline?: $$TitleProps['inline'];
        /** Sets the maximum lines of text using CSS -webkit-line-clamp property */ lineClamp?: $$TitleProps['lineClamp'];
        /** Underlines the text */ underline?: $$TitleProps['underline'];
        /** If it should inherit font properties from the parent component */ inherit?: $$TitleProps['inherit'];
        /** Applies an href to the button component and converts it to an anchor tag */ href?: $$TitleProps['href'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export declare type TitleProps = typeof __propDef.props;
export declare type TitleEvents = typeof __propDef.events;
export declare type TitleSlots = typeof __propDef.slots;
/**
 * Display text that uses title styling and title HTML tags.
 *
 * @see https://svelteui-docs.vercel.app/docs/core/title
 * @example
 *    ```tsx
 *    <Title>This is a title</Title> // standard title component
 *    <Title order={3}>This is a title</Title> // title component with order 2
 *    <Title order={1} override={{ fontSize: '90px' }}>This is a bigger title</Title> // title component with override style
 *    ```
 */
export default class Title extends SvelteComponentTyped<TitleProps, TitleEvents, TitleSlots> {
}
export {};
